from abc import ABC, abstractmethod

class PowerSwitchDevice(ABC):
    @abstractmethod
    def status(self) -> bool:
        pass
    @abstractmethod   
    def on(self):
        pass

    @abstractmethod
    def off(self):
        pass
    
    @abstractmethod
    def __str__(self):
        pass